package es.unican.docencia.y2012.ed.practica10;

/**
 * Interfaz para la gestion de termometros
 * @author Pablo Sanchez (p.sanchez@unican.es)
 * http://personales.unican.es/sanchezbp
 */
public interface IThemometerMng {
	
	/**
	 * Incorpora un nuevo termometro a la casa
	 * Debe suscribir todos los heaters en dicha habitacion al dispositivo  
	 * @param t El nuevo termometro a ser aadido 
	 * @return Verdadero si el termometro ha sido aadido, falso si ya exista
	 */
	public boolean addThermometer(Thermometer t);
	
	/**
	 * Elimina un termometro de la casa a 
	 * partir de su identificador
	 * @param id El identificador del termomertro a eliminar
	 * NOTA: No se puede suponer como precondicion que el identificador
	 *       es un identificado valido, es decir, que corresponde a un dispositivo
	 *       real
	 */
	public void removeThermometer(String id);
	
	

} // IThemometerMng
