package es.unican.docencia.y2012.ed.practica10;

/**
 * Clase que representa un termmetro o sensor de temperatura
 * @author Pablo Sanchez (p.sanchez@unican.es)
 * http://personales.unican.es/sanchezbp
 */
public class Thermometer extends Device {
	
	/**
	 * Construye un nuevo termometro y lo aade a la casa inteligente
	 * @param id El identificador del termmetro
	 * @param room La habitacin donde se aade el termometro
	 */
	public Thermometer(String id, Room room) {
		super(id, room);
	} // Thermometer

	// Inv: (-255.0 <= temperature) 
	protected double temperature = 25.0;
	
	/**
	 * Mtodo para leer la temperatura del sensor	
	 * @return El valor actual del sensor
	 */
	public double getTemperature() {
		return temperature;
	} // getTemperature

	/**
	 * Cambia la temperatura del termometro
	 * NOTA: Este mtodo no existira en un software real,
	 * pues no se pueden escribir valores en un sensor.
	 * Anhadimos este metodo para poder simular cambios en los 
	 * valores del sensor 
	 * @param temperature El valor de la nueva temperatura
	 */
	public void setTemperature(double temperature) {
		this.temperature = temperature;
	} // setTemperature
	
	/**
	 * Devuelve una cadena con el estado del termometro con objeto de
	 * que dicha cadena sea impresa
	 * @return La cadena con la informacion del termometro 
	 */
	@Override
	public String toString() {
		return  "Thermometer " + id + " is a " + temperature " Celsius degree";
	} // toString

} // Thermometer
